#!/bin/bash


#die bentigten Programme (mkgmap, splitter) downloaden
wget http://www.mkgmap.org.uk/snapshots/mkgmap-r1673.tar.gz

tar -xvzf mkgmap-r1673.tar.gz
ln -s mkgmap-r1673/mkgmap.jar mkgmap.jar

wget http://www.mkgmap.org.uk/splitter/splitter-r123.tar.gz
tar -xvzf splitter-r123.tar.gz
ln -s splitter-r123/splitter.jar splitter.jar


# Die Kartendaten aus den geofabrik extrakten downloaden ich hab die alps-Karte genommen
wget http://download.geofabrik.de/osm/europe/germany.osm.bz2
ln -s germany.osm.bz2 map.osm.bz2



# Verzeichnisstruktur generieren
mkdir tiles
cd tiles
mkdir splitcache
mkdir ghiking

# Die Kartendaten splitten
# Bentigt wird die Sun Java JRE6
# Bei grsseren Kartenbereichen muss die Speicherzuteilung erhht werden. Dann ist der Prozess aber nur mehr auf 64bit System ausfhrbar!
java -Xmx1900M -jar ../splitter.jar --mapid=63240345 --max-nodes=1000000 --cache=./splitcache/ ../map.osm.bz2

cd ghiking
echo "HikingMap"
java -Xmx1900M -jar ../../mkgmap.jar --max-jobs --style-file=../../aiostyles/hiking_style/ --description='Hiking' --country-name=europe --country-abbr=EU --family-id=85 --product-id=16 --series-name='OSM-AllInOne-EU-Hiking' --family-name=HIKING --area-name=EU --latin1 --mapname=63247345 --draw-priority=19 --no-poi-address --no-sorted-roads --transparent --gmapsupp ../*.osm.gz ../../aiostyles/hiking.TYP

cd ../..
cp tiles/ghiking/gmapsupp.img hikingmap.img
